## atspi-application

atspi-application — An interface identifying the root object associated with a running application.

## Types and Values

struct | AtspiApplication
struct | AtspiApplicationClass

## Description

An interface identifying an object which is the root of the hierarchy associated with a running application.

## Functions

## Types and Values

### struct AtspiApplication

    struct AtspiApplication {
      GObject parent;
      GHashTable *hash;
      char *bus_name;
      DBusConnection *bus;
      struct _AtspiAccessible *root;
      AtspiCache cache;
      gchar *toolkit_name;
      gchar *toolkit_version;
      gchar *atspi_version;
      struct timeval time_added;
    };

### struct AtspiApplicationClass

    struct AtspiApplicationClass {
      GObjectClass parent_class;
    };